@echo off
setlocal
set "dump_dir=test"

if not exist "%~dp0%dump_dir%" (
	echo [ERROR]: "dump_dir" not exist!
	echo dump_dir: "%~dp0%dump_dir%"
	echo.
	goto Quit
)
for /f "delims=" %%i in ('dir /B "%~dp0%dump_dir%"') do (
	if /I Not "%%~xi"==".BAK" (
		"%~dp0DMI_decrypter.exe" "%~dp0%dump_dir%\%%~i" /d /noPause
	)
)
:Quit
endlocal
pause